##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: APU_GIC_REDIST_SGISPI_0
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf9090080]
lappend results [mem_read 0xf9090100]
lappend results [mem_read 0xf9090180]
lappend results [mem_read 0xf9090200]
lappend results [mem_read 0xf9090280]
lappend results [mem_read 0xf9090300]
lappend results [mem_read 0xf9090380]
lappend results [mem_read 0xf9090400]
lappend results [mem_read 0xf9090404]
lappend results [mem_read 0xf9090408]
lappend results [mem_read 0xf909040c]
lappend results [mem_read 0xf9090410]
lappend results [mem_read 0xf9090414]
lappend results [mem_read 0xf9090418]
lappend results [mem_read 0xf909041c]
lappend results [mem_read 0xf9090c00]
lappend results [mem_read 0xf9090c04]
lappend results [mem_read 0xf9090d00]
lappend results [mem_read 0xf9090e00]
lappend results [mem_read 0xf909c000]
lappend results [mem_read 0xf909c080]
