##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: CPM4_CRX
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfca00000]
lappend results [mem_read 0xfca00004]
lappend results [mem_read 0xfca00008]
lappend results [mem_read 0xfca0000c]
lappend results [mem_read 0xfca00010]
lappend results [mem_read 0xfca00150]
lappend results [mem_read 0xfca00030]
lappend results [mem_read 0xfca00040]
lappend results [mem_read 0xfca00044]
lappend results [mem_read 0xfca00050]
lappend results [mem_read 0xfca00100]
lappend results [mem_read 0xfca00104]
lappend results [mem_read 0xfca00108]
lappend results [mem_read 0xfca00300]
lappend results [mem_read 0xfca00304]
lappend results [mem_read 0xfca00308]
lappend results [mem_read 0xfca0030c]
lappend results [mem_read 0xfca00314]
lappend results [mem_read 0xfca00318]
lappend results [mem_read 0xfca0031c]
lappend results [mem_read 0xfca00320]
lappend results [mem_read 0xfca00324]
lappend results [mem_read 0xfca00328]
