##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: CPM5_CRX
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfcdc0000]
lappend results [mem_read 0xfcdc0004]
lappend results [mem_read 0xfcdc0008]
lappend results [mem_read 0xfcdc000c]
lappend results [mem_read 0xfcdc0010]
lappend results [mem_read 0xfcdc0150]
lappend results [mem_read 0xfcdc0030]
lappend results [mem_read 0xfcdc0040]
lappend results [mem_read 0xfcdc0044]
lappend results [mem_read 0xfcdc0050]
lappend results [mem_read 0xfcdc0100]
lappend results [mem_read 0xfcdc0108]
lappend results [mem_read 0xfcdc0300]
lappend results [mem_read 0xfcdc0304]
lappend results [mem_read 0xfcdc0308]
lappend results [mem_read 0xfcdc030c]
lappend results [mem_read 0xfcdc0310]
lappend results [mem_read 0xfcdc0314]
lappend results [mem_read 0xfcdc0318]
lappend results [mem_read 0xfcdc031c]
lappend results [mem_read 0xfcdc0320]
lappend results [mem_read 0xfcdc0324]
lappend results [mem_read 0xfcdc0328]
lappend results [mem_read 0xfcdc0334]
lappend results [mem_read 0xfcdc0034]
