##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: CPM5_DPLL1_ATTR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfceb0000]
lappend results [mem_read 0xfceb0004]
lappend results [mem_read 0xfceb0008]
lappend results [mem_read 0xfceb000c]
lappend results [mem_read 0xfceb0010]
lappend results [mem_read 0xfceb0014]
lappend results [mem_read 0xfceb0018]
lappend results [mem_read 0xfceb001c]
lappend results [mem_read 0xfceb0020]
lappend results [mem_read 0xfceb0024]
lappend results [mem_read 0xfceb0030]
lappend results [mem_read 0xfceb0034]
lappend results [mem_read 0xfceb0038]
lappend results [mem_read 0xfceb003c]
lappend results [mem_read 0xfceb0040]
lappend results [mem_read 0xfceb0044]
lappend results [mem_read 0xfceb0048]
lappend results [mem_read 0xfceb004c]
lappend results [mem_read 0xfceb0050]
lappend results [mem_read 0xfceb0054]
lappend results [mem_read 0xfceb0058]
lappend results [mem_read 0xfceb005c]
lappend results [mem_read 0xfceb0060]
lappend results [mem_read 0xfceb0064]
lappend results [mem_read 0xfceb0068]
lappend results [mem_read 0xfceb006c]
lappend results [mem_read 0xfceb0070]
lappend results [mem_read 0xfceb0074]
lappend results [mem_read 0xfceb0078]
lappend results [mem_read 0xfceb007c]
lappend results [mem_read 0xfceb0080]
lappend results [mem_read 0xfceb0084]
lappend results [mem_read 0xfceb0088]
lappend results [mem_read 0xfceb008c]
lappend results [mem_read 0xfceb0090]
lappend results [mem_read 0xfceb0094]
lappend results [mem_read 0xfceb0098]
lappend results [mem_read 0xfceb009c]
lappend results [mem_read 0xfceb00a0]
lappend results [mem_read 0xfceb00a4]
lappend results [mem_read 0xfceb00a8]
lappend results [mem_read 0xfceb00ac]
lappend results [mem_read 0xfceb00b0]
lappend results [mem_read 0xfceb00b4]
lappend results [mem_read 0xfceb00b8]
