##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_APU0_CTI
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0d10000]
lappend results [mem_read 0xf0d10010]
lappend results [mem_read 0xf0d10014]
lappend results [mem_read 0xf0d10018]
lappend results [mem_read 0xf0d1001c]
lappend results [mem_read 0xf0d10020]
lappend results [mem_read 0xf0d10024]
lappend results [mem_read 0xf0d10028]
lappend results [mem_read 0xf0d1002c]
lappend results [mem_read 0xf0d10030]
lappend results [mem_read 0xf0d10034]
lappend results [mem_read 0xf0d10038]
lappend results [mem_read 0xf0d1003c]
lappend results [mem_read 0xf0d100a0]
lappend results [mem_read 0xf0d100a4]
lappend results [mem_read 0xf0d100a8]
lappend results [mem_read 0xf0d100ac]
lappend results [mem_read 0xf0d100b0]
lappend results [mem_read 0xf0d100b4]
lappend results [mem_read 0xf0d100b8]
lappend results [mem_read 0xf0d100bc]
lappend results [mem_read 0xf0d10130]
lappend results [mem_read 0xf0d10134]
lappend results [mem_read 0xf0d10138]
lappend results [mem_read 0xf0d1013c]
lappend results [mem_read 0xf0d10140]
lappend results [mem_read 0xf0d10144]
lappend results [mem_read 0xf0d10edc]
lappend results [mem_read 0xf0d10ee0]
lappend results [mem_read 0xf0d10ee4]
lappend results [mem_read 0xf0d10ee8]
lappend results [mem_read 0xf0d10eec]
lappend results [mem_read 0xf0d10ef0]
lappend results [mem_read 0xf0d10ef4]
lappend results [mem_read 0xf0d10ef8]
lappend results [mem_read 0xf0d10f00]
lappend results [mem_read 0xf0d10fa0]
lappend results [mem_read 0xf0d10fa4]
lappend results [mem_read 0xf0d10fb0]
lappend results [mem_read 0xf0d10fb4]
lappend results [mem_read 0xf0d10fb8]
lappend results [mem_read 0xf0d10fc8]
lappend results [mem_read 0xf0d10fcc]
