##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_APU0_PMU
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0d20000]
lappend results [mem_read 0xf0d20008]
lappend results [mem_read 0xf0d20010]
lappend results [mem_read 0xf0d20018]
lappend results [mem_read 0xf0d20020]
lappend results [mem_read 0xf0d20028]
lappend results [mem_read 0xf0d200f8]
lappend results [mem_read 0xf0d200fc]
lappend results [mem_read 0xf0d20400]
lappend results [mem_read 0xf0d20404]
lappend results [mem_read 0xf0d20408]
lappend results [mem_read 0xf0d2040c]
lappend results [mem_read 0xf0d20410]
lappend results [mem_read 0xf0d20414]
lappend results [mem_read 0xf0d2047c]
lappend results [mem_read 0xf0d20600]
lappend results [mem_read 0xf0d20604]
lappend results [mem_read 0xf0d20608]
lappend results [mem_read 0xf0d2060c]
lappend results [mem_read 0xf0d20610]
lappend results [mem_read 0xf0d20614]
lappend results [mem_read 0xf0d20618]
lappend results [mem_read 0xf0d2061c]
lappend results [mem_read 0xf0d20620]
lappend results [mem_read 0xf0d20624]
lappend results [mem_read 0xf0d20628]
lappend results [mem_read 0xf0d2062c]
lappend results [mem_read 0xf0d20630]
lappend results [mem_read 0xf0d20634]
lappend results [mem_read 0xf0d206f0]
lappend results [mem_read 0xf0d206f4]
lappend results [mem_read 0xf0d20c00]
lappend results [mem_read 0xf0d20c20]
lappend results [mem_read 0xf0d20c40]
lappend results [mem_read 0xf0d20c60]
lappend results [mem_read 0xf0d20c80]
lappend results [mem_read 0xf0d20ca0]
lappend results [mem_read 0xf0d20cc0]
lappend results [mem_read 0xf0d20e00]
lappend results [mem_read 0xf0d20e04]
lappend results [mem_read 0xf0d20e20]
lappend results [mem_read 0xf0d20e24]
lappend results [mem_read 0xf0d20fa8]
lappend results [mem_read 0xf0d20fac]
lappend results [mem_read 0xf0d20fb0]
lappend results [mem_read 0xf0d20fb4]
lappend results [mem_read 0xf0d20fb8]
lappend results [mem_read 0xf0d20fbc]
lappend results [mem_read 0xf0d20fcc]
lappend results [mem_read 0xf0d20fd0]
