##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_CPM_FUN
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0f20000]
lappend results [mem_read 0xf0f20004]
lappend results [mem_read 0xf0f20eec]
lappend results [mem_read 0xf0f20ef0]
lappend results [mem_read 0xf0f20ef4]
lappend results [mem_read 0xf0f20ef8]
lappend results [mem_read 0xf0f20f00]
lappend results [mem_read 0xf0f20fa0]
lappend results [mem_read 0xf0f20fa4]
lappend results [mem_read 0xf0f20fb0]
lappend results [mem_read 0xf0f20fb4]
lappend results [mem_read 0xf0f20fb8]
lappend results [mem_read 0xf0f20fc8]
lappend results [mem_read 0xf0f20fcc]
lappend results [mem_read 0xf0f20fe0]
lappend results [mem_read 0xf0f20fe4]
lappend results [mem_read 0xf0f20fe8]
lappend results [mem_read 0xf0f20fec]
lappend results [mem_read 0xf0f20fd0]
lappend results [mem_read 0xf0f20fd4]
lappend results [mem_read 0xf0f20fd8]
lappend results [mem_read 0xf0f20fdc]
lappend results [mem_read 0xf0f20ff0]
lappend results [mem_read 0xf0f20ff4]
lappend results [mem_read 0xf0f20ff8]
lappend results [mem_read 0xf0f20ffc]
