##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_FPD_CTI1C
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0bc0000]
lappend results [mem_read 0xf0bc0010]
lappend results [mem_read 0xf0bc0014]
lappend results [mem_read 0xf0bc0018]
lappend results [mem_read 0xf0bc001c]
lappend results [mem_read 0xf0bc0020]
lappend results [mem_read 0xf0bc0024]
lappend results [mem_read 0xf0bc0028]
lappend results [mem_read 0xf0bc002c]
lappend results [mem_read 0xf0bc0030]
lappend results [mem_read 0xf0bc0034]
lappend results [mem_read 0xf0bc0038]
lappend results [mem_read 0xf0bc003c]
lappend results [mem_read 0xf0bc00a0]
lappend results [mem_read 0xf0bc00a4]
lappend results [mem_read 0xf0bc00a8]
lappend results [mem_read 0xf0bc00ac]
lappend results [mem_read 0xf0bc00b0]
lappend results [mem_read 0xf0bc00b4]
lappend results [mem_read 0xf0bc00b8]
lappend results [mem_read 0xf0bc00bc]
lappend results [mem_read 0xf0bc0130]
lappend results [mem_read 0xf0bc0134]
lappend results [mem_read 0xf0bc0138]
lappend results [mem_read 0xf0bc013c]
lappend results [mem_read 0xf0bc0140]
lappend results [mem_read 0xf0bc0144]
lappend results [mem_read 0xf0bc0edc]
lappend results [mem_read 0xf0bc0ee0]
lappend results [mem_read 0xf0bc0ee4]
lappend results [mem_read 0xf0bc0ee8]
lappend results [mem_read 0xf0bc0eec]
lappend results [mem_read 0xf0bc0ef0]
lappend results [mem_read 0xf0bc0ef4]
lappend results [mem_read 0xf0bc0ef8]
lappend results [mem_read 0xf0bc0f00]
lappend results [mem_read 0xf0bc0fa0]
lappend results [mem_read 0xf0bc0fa4]
lappend results [mem_read 0xf0bc0fb0]
lappend results [mem_read 0xf0bc0fb4]
lappend results [mem_read 0xf0bc0fb8]
