##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: LPD_DMA_CH1
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xffa90000]
lappend results [mem_read 0xffa90100]
lappend results [mem_read 0xffa90104]
lappend results [mem_read 0xffa90108]
lappend results [mem_read 0xffa9010c]
lappend results [mem_read 0xffa90110]
lappend results [mem_read 0xffa90114]
lappend results [mem_read 0xffa90118]
lappend results [mem_read 0xffa9011c]
lappend results [mem_read 0xffa90120]
lappend results [mem_read 0xffa90124]
lappend results [mem_read 0xffa90128]
lappend results [mem_read 0xffa9012c]
lappend results [mem_read 0xffa90130]
lappend results [mem_read 0xffa90134]
lappend results [mem_read 0xffa90138]
lappend results [mem_read 0xffa9013c]
lappend results [mem_read 0xffa90140]
lappend results [mem_read 0xffa90144]
lappend results [mem_read 0xffa90148]
lappend results [mem_read 0xffa9014c]
lappend results [mem_read 0xffa90150]
lappend results [mem_read 0xffa90154]
lappend results [mem_read 0xffa90158]
lappend results [mem_read 0xffa9015c]
lappend results [mem_read 0xffa90160]
lappend results [mem_read 0xffa90164]
lappend results [mem_read 0xffa9018c]
lappend results [mem_read 0xffa90190]
lappend results [mem_read 0xffa90194]
lappend results [mem_read 0xffa90200]
