##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: LPD_DMA_CH4
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xffac0000]
lappend results [mem_read 0xffac0100]
lappend results [mem_read 0xffac0104]
lappend results [mem_read 0xffac0108]
lappend results [mem_read 0xffac010c]
lappend results [mem_read 0xffac0110]
lappend results [mem_read 0xffac0114]
lappend results [mem_read 0xffac0118]
lappend results [mem_read 0xffac011c]
lappend results [mem_read 0xffac0120]
lappend results [mem_read 0xffac0124]
lappend results [mem_read 0xffac0128]
lappend results [mem_read 0xffac012c]
lappend results [mem_read 0xffac0130]
lappend results [mem_read 0xffac0134]
lappend results [mem_read 0xffac0138]
lappend results [mem_read 0xffac013c]
lappend results [mem_read 0xffac0140]
lappend results [mem_read 0xffac0144]
lappend results [mem_read 0xffac0148]
lappend results [mem_read 0xffac014c]
lappend results [mem_read 0xffac0150]
lappend results [mem_read 0xffac0154]
lappend results [mem_read 0xffac0158]
lappend results [mem_read 0xffac015c]
lappend results [mem_read 0xffac0160]
lappend results [mem_read 0xffac0164]
lappend results [mem_read 0xffac018c]
lappend results [mem_read 0xffac0190]
lappend results [mem_read 0xffac0194]
lappend results [mem_read 0xffac0200]
