##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: LPD_GPIO
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xff0b0000]
lappend results [mem_read 0xff0b0004]
lappend results [mem_read 0xff0b0018]
lappend results [mem_read 0xff0b001c]
lappend results [mem_read 0xff0b0040]
lappend results [mem_read 0xff0b004c]
lappend results [mem_read 0xff0b0060]
lappend results [mem_read 0xff0b006c]
lappend results [mem_read 0xff0b0204]
lappend results [mem_read 0xff0b0208]
lappend results [mem_read 0xff0b020c]
lappend results [mem_read 0xff0b0210]
lappend results [mem_read 0xff0b0214]
lappend results [mem_read 0xff0b0218]
lappend results [mem_read 0xff0b021c]
lappend results [mem_read 0xff0b0220]
lappend results [mem_read 0xff0b0224]
lappend results [mem_read 0xff0b02c4]
lappend results [mem_read 0xff0b02c8]
lappend results [mem_read 0xff0b02cc]
lappend results [mem_read 0xff0b02d0]
lappend results [mem_read 0xff0b02d4]
lappend results [mem_read 0xff0b02d8]
lappend results [mem_read 0xff0b02dc]
lappend results [mem_read 0xff0b02e0]
lappend results [mem_read 0xff0b02e4]
