##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: LPD_INT_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfe600000]
lappend results [mem_read 0xfe600004]
lappend results [mem_read 0xfe600008]
lappend results [mem_read 0xfe60000c]
lappend results [mem_read 0xfe600014]
lappend results [mem_read 0xfe600018]
lappend results [mem_read 0xfe60001c]
lappend results [mem_read 0xfe600020]
lappend results [mem_read 0xfe600050]
lappend results [mem_read 0xfe600054]
lappend results [mem_read 0xfe600058]
lappend results [mem_read 0xfe600060]
lappend results [mem_read 0xfe600064]
lappend results [mem_read 0xfe600068]
lappend results [mem_read 0xfe60006c]
lappend results [mem_read 0xfe600080]
lappend results [mem_read 0xfe600084]
lappend results [mem_read 0xfe600088]
lappend results [mem_read 0xfe60008c]
lappend results [mem_read 0xfe6000a0]
lappend results [mem_read 0xfe6000a4]
lappend results [mem_read 0xfe6000a8]
lappend results [mem_read 0xfe6000ac]
lappend results [mem_read 0xfe610000]
lappend results [mem_read 0xfe620000]
lappend results [mem_read 0xfe630000]
lappend results [mem_read 0xfe640000]
lappend results [mem_read 0xfe650000]
lappend results [mem_read 0xfe660000]
lappend results [mem_read 0xfe670000]
lappend results [mem_read 0xfe680000]
lappend results [mem_read 0xfe690000]
lappend results [mem_read 0xfe6a0000]
lappend results [mem_read 0xfe6c0000]
lappend results [mem_read 0xfe6d0000]
lappend results [mem_read 0xfe6e0000]
lappend results [mem_read 0xfe6f0000]
lappend results [mem_read 0xfe700000]
lappend results [mem_read 0xfe710000]
lappend results [mem_read 0xfe7e0000]
lappend results [mem_read 0xfe7f0000]
