##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: PMC_DMA0_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf11c0000]
lappend results [mem_read 0xf11c0004]
lappend results [mem_read 0xf11c0008]
lappend results [mem_read 0xf11c000c]
lappend results [mem_read 0xf11c0010]
lappend results [mem_read 0xf11c002c]
lappend results [mem_read 0xf11c0030]
lappend results [mem_read 0xf11c0034]
lappend results [mem_read 0xf11c0014]
lappend results [mem_read 0xf11c0018]
lappend results [mem_read 0xf11c001c]
lappend results [mem_read 0xf11c0020]
lappend results [mem_read 0xf11c0024]
lappend results [mem_read 0xf11c0028]
lappend results [mem_read 0xf11c0800]
lappend results [mem_read 0xf11c0804]
lappend results [mem_read 0xf11c0808]
lappend results [mem_read 0xf11c080c]
lappend results [mem_read 0xf11c0814]
lappend results [mem_read 0xf11c0818]
lappend results [mem_read 0xf11c081c]
lappend results [mem_read 0xf11c0820]
lappend results [mem_read 0xf11c0824]
lappend results [mem_read 0xf11c0828]
lappend results [mem_read 0xf11c0830]
lappend results [mem_read 0xf11c0834]
lappend results [mem_read 0xf11c0ff8]
