##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: PMC_INT_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf1330000]
lappend results [mem_read 0xf1330004]
lappend results [mem_read 0xf1330008]
lappend results [mem_read 0xf133000c]
lappend results [mem_read 0xf1330014]
lappend results [mem_read 0xf1330018]
lappend results [mem_read 0xf133001c]
lappend results [mem_read 0xf1330024]
lappend results [mem_read 0xf1330028]
lappend results [mem_read 0xf1330040]
lappend results [mem_read 0xf1330044]
lappend results [mem_read 0xf1330048]
lappend results [mem_read 0xf133004c]
lappend results [mem_read 0xf1330054]
lappend results [mem_read 0xf1330058]
lappend results [mem_read 0xf133005c]
lappend results [mem_read 0xf1330060]
lappend results [mem_read 0xf1330068]
lappend results [mem_read 0xf133006c]
lappend results [mem_read 0xf1330070]
lappend results [mem_read 0xf1330074]
lappend results [mem_read 0xf1330090]
lappend results [mem_read 0xf1330094]
lappend results [mem_read 0xf1330098]
lappend results [mem_read 0xf133009c]
lappend results [mem_read 0xf13300a0]
lappend results [mem_read 0xf13300a4]
lappend results [mem_read 0xf13300a8]
lappend results [mem_read 0xf13300ac]
lappend results [mem_read 0xf1340000]
lappend results [mem_read 0xf1350000]
lappend results [mem_read 0xf1360000]
lappend results [mem_read 0xf1370000]
lappend results [mem_read 0xf1380000]
lappend results [mem_read 0xf1390000]
lappend results [mem_read 0xf13a0000]
lappend results [mem_read 0xf13b0000]
lappend results [mem_read 0xf13d0000]
lappend results [mem_read 0xf13e0000]
lappend results [mem_read 0xf13f0000]
lappend results [mem_read 0xf1400000]
lappend results [mem_read 0xf1410000]
lappend results [mem_read 0xf1420000]
lappend results [mem_read 0xf1440000]
lappend results [mem_read 0xf1450000]
lappend results [mem_read 0xf1560000]
lappend results [mem_read 0xf1560004]
lappend results [mem_read 0xf1570000]
