##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: PMC_IOP_INT_GPV
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf1080000]
lappend results [mem_read 0xf1080004]
lappend results [mem_read 0xf1080008]
lappend results [mem_read 0xf108000c]
lappend results [mem_read 0xf1080010]
lappend results [mem_read 0xf1080014]
lappend results [mem_read 0xf1080018]
lappend results [mem_read 0xf1080080]
lappend results [mem_read 0xf1080084]
lappend results [mem_read 0xf1080088]
lappend results [mem_read 0xf108008c]
lappend results [mem_read 0xf1080090]
lappend results [mem_read 0xf1080094]
lappend results [mem_read 0xf1080098]
lappend results [mem_read 0xf1080100]
lappend results [mem_read 0xf1080104]
lappend results [mem_read 0xf1080108]
lappend results [mem_read 0xf108010c]
lappend results [mem_read 0xf1080110]
lappend results [mem_read 0xf1080114]
lappend results [mem_read 0xf1080118]
lappend results [mem_read 0xf1080180]
lappend results [mem_read 0xf1080184]
lappend results [mem_read 0xf1080188]
lappend results [mem_read 0xf108018c]
lappend results [mem_read 0xf1080190]
lappend results [mem_read 0xf1080194]
lappend results [mem_read 0xf1080198]
lappend results [mem_read 0xf1080200]
lappend results [mem_read 0xf1080204]
lappend results [mem_read 0xf1080208]
lappend results [mem_read 0xf108020c]
lappend results [mem_read 0xf1080210]
lappend results [mem_read 0xf1080214]
lappend results [mem_read 0xf1080218]
