##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: PMC_LOCAL
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0040024]
lappend results [mem_read 0xf0040028]
lappend results [mem_read 0xf0040034]
lappend results [mem_read 0xf0040038]
lappend results [mem_read 0xf0040050]
lappend results [mem_read 0xf0040054]
lappend results [mem_read 0xf0040058]
lappend results [mem_read 0xf004005c]
lappend results [mem_read 0xf0040060]
lappend results [mem_read 0xf0040064]
lappend results [mem_read 0xf0040068]
lappend results [mem_read 0xf004006c]
lappend results [mem_read 0xf0040070]
lappend results [mem_read 0xf0040074]
lappend results [mem_read 0xf0040104]
lappend results [mem_read 0xf0041100]
lappend results [mem_read 0xf0041104]
lappend results [mem_read 0xf0041108]
lappend results [mem_read 0xf004110c]
lappend results [mem_read 0xf0041110]
lappend results [mem_read 0xf0041114]
lappend results [mem_read 0xf0041118]
lappend results [mem_read 0xf004111c]
lappend results [mem_read 0xf0041120]
lappend results [mem_read 0xf0041124]
lappend results [mem_read 0xf0041128]
lappend results [mem_read 0xf004112c]
lappend results [mem_read 0xf0041130]
lappend results [mem_read 0xf0041134]
lappend results [mem_read 0xf0041150]
lappend results [mem_read 0xf0042000]
