##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: PMC_RAM_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf2000000]
lappend results [mem_read 0xf2000004]
lappend results [mem_read 0xf2000008]
lappend results [mem_read 0xf200000c]
lappend results [mem_read 0xf2000010]
lappend results [mem_read 0xf2000014]
lappend results [mem_read 0xf2000018]
lappend results [mem_read 0xf200001c]
lappend results [mem_read 0xf2000020]
lappend results [mem_read 0xf2000024]
lappend results [mem_read 0xf2000028]
lappend results [mem_read 0xf200002c]
lappend results [mem_read 0xf2000030]
lappend results [mem_read 0xf2000034]
lappend results [mem_read 0xf2000038]
lappend results [mem_read 0xf200003c]
lappend results [mem_read 0xf2000040]
lappend results [mem_read 0xf2000044]
lappend results [mem_read 0xf2000048]
lappend results [mem_read 0xf2000074]
lappend results [mem_read 0xf200004c]
lappend results [mem_read 0xf2000050]
lappend results [mem_read 0xf2000054]
lappend results [mem_read 0xf2000058]
lappend results [mem_read 0xf200005c]
lappend results [mem_read 0xf2000070]
lappend results [mem_read 0xf2000080]
lappend results [mem_read 0xf2000084]
lappend results [mem_read 0xf2000ff8]
