##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: PMC_SYSMON_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf1270044]
lappend results [mem_read 0xf1270048]
lappend results [mem_read 0xf127004c]
lappend results [mem_read 0xf1270050]
lappend results [mem_read 0xf1270054]
lappend results [mem_read 0xf1270058]
lappend results [mem_read 0xf127005c]
lappend results [mem_read 0xf1271030]
lappend results [mem_read 0xf1271038]
lappend results [mem_read 0xf127103c]
lappend results [mem_read 0xf1271040]
lappend results [mem_read 0xf1271340]
lappend results [mem_read 0xf1271640]
lappend results [mem_read 0xf1270100]
lappend results [mem_read 0xf1271940]
lappend results [mem_read 0xf1271944]
lappend results [mem_read 0xf1271948]
lappend results [mem_read 0xf127194c]
lappend results [mem_read 0xf1271950]
lappend results [mem_read 0xf1271958]
lappend results [mem_read 0xf127195c]
lappend results [mem_read 0xf1271960]
lappend results [mem_read 0xf1271964]
lappend results [mem_read 0xf1271968]
lappend results [mem_read 0xf1271970]
lappend results [mem_read 0xf1271974]
lappend results [mem_read 0xf1271978]
lappend results [mem_read 0xf127197c]
lappend results [mem_read 0xf1271980]
lappend results [mem_read 0xf1271c80]
lappend results [mem_read 0xf1271f80]
lappend results [mem_read 0xf1271f84]
lappend results [mem_read 0xf1271f88]
lappend results [mem_read 0xf1271000]
lappend results [mem_read 0xf1271004]
lappend results [mem_read 0xf1271008]
lappend results [mem_read 0xf127100c]
lappend results [mem_read 0xf1271010]
lappend results [mem_read 0xf1271018]
lappend results [mem_read 0xf127101c]
lappend results [mem_read 0xf1271020]
lappend results [mem_read 0xf1271024]
lappend results [mem_read 0xf1271028]
lappend results [mem_read 0xf1271f90]
lappend results [mem_read 0xf1271f8c]
lappend results [mem_read 0xf1271f94]
