##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: RPU_DUAL_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xff9a0000]
lappend results [mem_read 0xff9a0004]
lappend results [mem_read 0xff9a0008]
lappend results [mem_read 0xff9a0054]
lappend results [mem_read 0xff9a0024]
lappend results [mem_read 0xff9a00f0]
lappend results [mem_read 0xff9a0100]
lappend results [mem_read 0xff9a0104]
lappend results [mem_read 0xff9a0108]
lappend results [mem_read 0xff9a0114]
lappend results [mem_read 0xff9a0118]
lappend results [mem_read 0xff9a011c]
lappend results [mem_read 0xff9a0120]
lappend results [mem_read 0xff9a0124]
lappend results [mem_read 0xff9a0128]
lappend results [mem_read 0xff9a0200]
lappend results [mem_read 0xff9a0204]
lappend results [mem_read 0xff9a0208]
lappend results [mem_read 0xff9a0214]
lappend results [mem_read 0xff9a0218]
lappend results [mem_read 0xff9a021c]
lappend results [mem_read 0xff9a0220]
lappend results [mem_read 0xff9a0224]
lappend results [mem_read 0xff9a0228]
