##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: TTC3
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xff110000]
lappend results [mem_read 0xff110004]
lappend results [mem_read 0xff110008]
lappend results [mem_read 0xff11000c]
lappend results [mem_read 0xff110010]
lappend results [mem_read 0xff110014]
lappend results [mem_read 0xff110018]
lappend results [mem_read 0xff11001c]
lappend results [mem_read 0xff110020]
lappend results [mem_read 0xff110024]
lappend results [mem_read 0xff110028]
lappend results [mem_read 0xff11002c]
lappend results [mem_read 0xff110030]
lappend results [mem_read 0xff110034]
lappend results [mem_read 0xff110038]
lappend results [mem_read 0xff11003c]
lappend results [mem_read 0xff110040]
lappend results [mem_read 0xff110044]
lappend results [mem_read 0xff110048]
lappend results [mem_read 0xff11004c]
lappend results [mem_read 0xff110050]
lappend results [mem_read 0xff110054]
lappend results [mem_read 0xff110058]
lappend results [mem_read 0xff11005c]
lappend results [mem_read 0xff110060]
lappend results [mem_read 0xff110064]
lappend results [mem_read 0xff110068]
lappend results [mem_read 0xff11006c]
lappend results [mem_read 0xff110070]
lappend results [mem_read 0xff110074]
lappend results [mem_read 0xff110078]
lappend results [mem_read 0xff11007c]
lappend results [mem_read 0xff110080]
