##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: XRAM_CTRL0
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xff8e0000]
lappend results [mem_read 0xff8e0004]
lappend results [mem_read 0xff8e0008]
lappend results [mem_read 0xff8e000c]
lappend results [mem_read 0xff8e0010]
lappend results [mem_read 0xff8e0014]
lappend results [mem_read 0xff8e0018]
lappend results [mem_read 0xff8e001c]
lappend results [mem_read 0xff8e0020]
lappend results [mem_read 0xff8e0024]
lappend results [mem_read 0xff8e0028]
lappend results [mem_read 0xff8e002c]
lappend results [mem_read 0xff8e0030]
lappend results [mem_read 0xff8e0034]
lappend results [mem_read 0xff8e0038]
lappend results [mem_read 0xff8e003c]
lappend results [mem_read 0xff8e0040]
lappend results [mem_read 0xff8e0044]
lappend results [mem_read 0xff8e0048]
lappend results [mem_read 0xff8e0074]
lappend results [mem_read 0xff8e004c]
lappend results [mem_read 0xff8e0050]
lappend results [mem_read 0xff8e0054]
lappend results [mem_read 0xff8e0058]
lappend results [mem_read 0xff8e005c]
lappend results [mem_read 0xff8e0070]
lappend results [mem_read 0xff8e0080]
lappend results [mem_read 0xff8e0084]
lappend results [mem_read 0xff8e0ff8]
