##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: APU_GIC_ITS_CTL
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf9020000]
lappend results [mem_read 0xf9020004]
lappend results [mem_read 0xf9020008]
lappend results [mem_read 0xf902000c]
lappend results [mem_read 0xf9020080]
lappend results [mem_read 0xf9020084]
lappend results [mem_read 0xf9020088]
lappend results [mem_read 0xf902008c]
lappend results [mem_read 0xf9020090]
lappend results [mem_read 0xf9020094]
lappend results [mem_read 0xf9020100]
lappend results [mem_read 0xf9020104]
lappend results [mem_read 0xf902c000]
lappend results [mem_read 0xf902c004]
lappend results [mem_read 0xf902c008]
lappend results [mem_read 0xf902c00c]
lappend results [mem_read 0xf902c010]
lappend results [mem_read 0xf902c014]
lappend results [mem_read 0xf902c018]
lappend results [mem_read 0xf902c01c]
lappend results [mem_read 0xf902ffd0]
lappend results [mem_read 0xf902ffd4]
lappend results [mem_read 0xf902ffd8]
lappend results [mem_read 0xf902ffdc]
lappend results [mem_read 0xf902ffe0]
lappend results [mem_read 0xf902ffe4]
lappend results [mem_read 0xf902ffe8]
lappend results [mem_read 0xf902ffec]
lappend results [mem_read 0xf902fff0]
lappend results [mem_read 0xf902fff4]
lappend results [mem_read 0xf902fff8]
lappend results [mem_read 0xf902fffc]
