##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: APU_GIC_REDIST_CTLLPI_0
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf9080000]
lappend results [mem_read 0xf9080004]
lappend results [mem_read 0xf9080008]
lappend results [mem_read 0xf908000c]
lappend results [mem_read 0xf9080014]
lappend results [mem_read 0xf9080070]
lappend results [mem_read 0xf9080074]
lappend results [mem_read 0xf9080078]
lappend results [mem_read 0xf908007c]
lappend results [mem_read 0xf908ffd0]
lappend results [mem_read 0xf908ffd4]
lappend results [mem_read 0xf908ffd8]
lappend results [mem_read 0xf908ffdc]
lappend results [mem_read 0xf908ffe0]
lappend results [mem_read 0xf908ffe4]
lappend results [mem_read 0xf908ffe8]
lappend results [mem_read 0xf908ffec]
lappend results [mem_read 0xf908fff0]
lappend results [mem_read 0xf908fff4]
lappend results [mem_read 0xf908fff8]
lappend results [mem_read 0xf908fffc]
