##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: CFRAME09_REG
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf12e2000]
lappend results [mem_read 0xf12e2010]
lappend results [mem_read 0xf12e2020]
lappend results [mem_read 0xf12e2040]
lappend results [mem_read 0xf12e2050]
lappend results [mem_read 0xf12e2060]
lappend results [mem_read 0xf12e2070]
lappend results [mem_read 0xf12e2080]
lappend results [mem_read 0xf12e2150]
lappend results [mem_read 0xf12e2160]
lappend results [mem_read 0xf12e2170]
lappend results [mem_read 0xf12e2180]
lappend results [mem_read 0xf12e21a0]
lappend results [mem_read 0xf12e21b0]
lappend results [mem_read 0xf12e21c0]
lappend results [mem_read 0xf12e21d0]
lappend results [mem_read 0xf12e21e0]
lappend results [mem_read 0xf12e21f0]
lappend results [mem_read 0xf12e2200]
lappend results [mem_read 0xf12e2210]
lappend results [mem_read 0xf12e2220]
lappend results [mem_read 0xf12e2230]
