##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: CPM4_INT_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfcb40000]
lappend results [mem_read 0xfcb40004]
lappend results [mem_read 0xfcb40008]
lappend results [mem_read 0xfcb4000c]
lappend results [mem_read 0xfcb40040]
lappend results [mem_read 0xfcb40044]
lappend results [mem_read 0xfcb40048]
lappend results [mem_read 0xfcb4004c]
lappend results [mem_read 0xfcb40060]
lappend results [mem_read 0xfcb40064]
lappend results [mem_read 0xfcb40068]
lappend results [mem_read 0xfcb4006c]
lappend results [mem_read 0xfcb40074]
lappend results [mem_read 0xfcb40078]
lappend results [mem_read 0xfcb40100]
lappend results [mem_read 0xfcb40104]
lappend results [mem_read 0xfcb40108]
lappend results [mem_read 0xfcb4010c]
lappend results [mem_read 0xfcb40110]
lappend results [mem_read 0xfcb50000]
lappend results [mem_read 0xfcb60000]
lappend results [mem_read 0xfcb70000]
lappend results [mem_read 0xfcb80000]
lappend results [mem_read 0xfcb90000]
lappend results [mem_read 0xfcbb0000]
lappend results [mem_read 0xfcbc0000]
lappend results [mem_read 0xfcbd0000]
lappend results [mem_read 0xfcbe0000]
lappend results [mem_read 0xfcbf0000]
lappend results [mem_read 0xfcc00000]
lappend results [mem_read 0xfcc10000]
lappend results [mem_read 0xfcc20000]
lappend results [mem_read 0xfcc30000]
lappend results [mem_read 0xfcc40000]
lappend results [mem_read 0xfcc60000]
lappend results [mem_read 0xfcc50000]
lappend results [mem_read 0xfcc70000]
