##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: CPM4_SLCR_SECURE
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfca20000]
lappend results [mem_read 0xfca20004]
lappend results [mem_read 0xfca20010]
lappend results [mem_read 0xfca20014]
lappend results [mem_read 0xfca20018]
lappend results [mem_read 0xfca2001c]
lappend results [mem_read 0xfca20020]
lappend results [mem_read 0xfca20100]
lappend results [mem_read 0xfca20104]
lappend results [mem_read 0xfca20108]
lappend results [mem_read 0xfca2010c]
lappend results [mem_read 0xfca20110]
lappend results [mem_read 0xfca20114]
lappend results [mem_read 0xfca20200]
lappend results [mem_read 0xfca20204]
lappend results [mem_read 0xfca20208]
lappend results [mem_read 0xfca2020c]
lappend results [mem_read 0xfca20210]
lappend results [mem_read 0xfca20214]
lappend results [mem_read 0xfca20218]
lappend results [mem_read 0xfca20220]
lappend results [mem_read 0xfca20300]
lappend results [mem_read 0xfca20420]
lappend results [mem_read 0xfca20424]
lappend results [mem_read 0xfca20428]
lappend results [mem_read 0xfca2042c]
lappend results [mem_read 0xfca20430]
