##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: CPM5_PCIE0_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfce00000]
lappend results [mem_read 0xfce00010]
lappend results [mem_read 0xfce00014]
lappend results [mem_read 0xfce00018]
lappend results [mem_read 0xfce0001c]
lappend results [mem_read 0xfce00020]
lappend results [mem_read 0xfce0002c]
lappend results [mem_read 0xfce00030]
lappend results [mem_read 0xfce00048]
lappend results [mem_read 0xfce00090]
lappend results [mem_read 0xfce0009c]
lappend results [mem_read 0xfce000a8]
lappend results [mem_read 0xfce000b4]
lappend results [mem_read 0xfce000c0]
lappend results [mem_read 0xfce000cc]
lappend results [mem_read 0xfce000d8]
lappend results [mem_read 0xfce000e4]
lappend results [mem_read 0xfce000f0]
lappend results [mem_read 0xfce000fc]
lappend results [mem_read 0xfce00108]
lappend results [mem_read 0xfce00114]
lappend results [mem_read 0xfce00120]
lappend results [mem_read 0xfce0012c]
lappend results [mem_read 0xfce00138]
lappend results [mem_read 0xfce00144]
lappend results [mem_read 0xfce00150]
lappend results [mem_read 0xfce00180]
lappend results [mem_read 0xfce0018c]
lappend results [mem_read 0xfce00198]
lappend results [mem_read 0xfce001a4]
lappend results [mem_read 0xfce001b0]
lappend results [mem_read 0xfce001bc]
lappend results [mem_read 0xfce001c8]
lappend results [mem_read 0xfce00200]
lappend results [mem_read 0xfce00250]
lappend results [mem_read 0xfce00260]
lappend results [mem_read 0xfce0027c]
lappend results [mem_read 0xfce002a0]
lappend results [mem_read 0xfce002c4]
lappend results [mem_read 0xfce002d8]
