##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: CPM5_PCIE1_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfce80000]
lappend results [mem_read 0xfce80010]
lappend results [mem_read 0xfce80014]
lappend results [mem_read 0xfce80018]
lappend results [mem_read 0xfce8001c]
lappend results [mem_read 0xfce80020]
lappend results [mem_read 0xfce8002c]
lappend results [mem_read 0xfce80030]
lappend results [mem_read 0xfce80048]
lappend results [mem_read 0xfce80090]
lappend results [mem_read 0xfce8009c]
lappend results [mem_read 0xfce800a8]
lappend results [mem_read 0xfce800b4]
lappend results [mem_read 0xfce800c0]
lappend results [mem_read 0xfce800cc]
lappend results [mem_read 0xfce800d8]
lappend results [mem_read 0xfce800e4]
lappend results [mem_read 0xfce800f0]
lappend results [mem_read 0xfce800fc]
lappend results [mem_read 0xfce80108]
lappend results [mem_read 0xfce80114]
lappend results [mem_read 0xfce80120]
lappend results [mem_read 0xfce8012c]
lappend results [mem_read 0xfce80138]
lappend results [mem_read 0xfce80144]
lappend results [mem_read 0xfce80150]
lappend results [mem_read 0xfce80180]
lappend results [mem_read 0xfce8018c]
lappend results [mem_read 0xfce80198]
lappend results [mem_read 0xfce801a4]
lappend results [mem_read 0xfce801b0]
lappend results [mem_read 0xfce801bc]
lappend results [mem_read 0xfce801c8]
lappend results [mem_read 0xfce80200]
lappend results [mem_read 0xfce80250]
lappend results [mem_read 0xfce80260]
lappend results [mem_read 0xfce8027c]
lappend results [mem_read 0xfce802a0]
lappend results [mem_read 0xfce802c4]
lappend results [mem_read 0xfce802d8]
