##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: CPM5_SLCR_SECURE
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfcde0000]
lappend results [mem_read 0xfcde0004]
lappend results [mem_read 0xfcde0008]
lappend results [mem_read 0xfcde000c]
lappend results [mem_read 0xfcde0010]
lappend results [mem_read 0xfcde0014]
lappend results [mem_read 0xfcde0018]
lappend results [mem_read 0xfcde001c]
lappend results [mem_read 0xfcde0100]
lappend results [mem_read 0xfcde0104]
lappend results [mem_read 0xfcde0108]
lappend results [mem_read 0xfcde010c]
lappend results [mem_read 0xfcde0110]
lappend results [mem_read 0xfcde0114]
lappend results [mem_read 0xfcde0118]
lappend results [mem_read 0xfcde011c]
lappend results [mem_read 0xfcde0120]
lappend results [mem_read 0xfcde0124]
lappend results [mem_read 0xfcde0128]
lappend results [mem_read 0xfcde012c]
lappend results [mem_read 0xfcde0130]
lappend results [mem_read 0xfcde0140]
lappend results [mem_read 0xfcde0144]
lappend results [mem_read 0xfcde0200]
lappend results [mem_read 0xfcde0204]
lappend results [mem_read 0xfcde0208]
lappend results [mem_read 0xfcde020c]
lappend results [mem_read 0xfcde0210]
lappend results [mem_read 0xfcde0214]
lappend results [mem_read 0xfcde0218]
lappend results [mem_read 0xfcde021c]
lappend results [mem_read 0xfcde0220]
