##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_APU1_CTI
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0d50000]
lappend results [mem_read 0xf0d50010]
lappend results [mem_read 0xf0d50014]
lappend results [mem_read 0xf0d50018]
lappend results [mem_read 0xf0d5001c]
lappend results [mem_read 0xf0d50020]
lappend results [mem_read 0xf0d50024]
lappend results [mem_read 0xf0d50028]
lappend results [mem_read 0xf0d5002c]
lappend results [mem_read 0xf0d50030]
lappend results [mem_read 0xf0d50034]
lappend results [mem_read 0xf0d50038]
lappend results [mem_read 0xf0d5003c]
lappend results [mem_read 0xf0d500a0]
lappend results [mem_read 0xf0d500a4]
lappend results [mem_read 0xf0d500a8]
lappend results [mem_read 0xf0d500ac]
lappend results [mem_read 0xf0d500b0]
lappend results [mem_read 0xf0d500b4]
lappend results [mem_read 0xf0d500b8]
lappend results [mem_read 0xf0d500bc]
lappend results [mem_read 0xf0d50130]
lappend results [mem_read 0xf0d50134]
lappend results [mem_read 0xf0d50138]
lappend results [mem_read 0xf0d5013c]
lappend results [mem_read 0xf0d50140]
lappend results [mem_read 0xf0d50144]
lappend results [mem_read 0xf0d50edc]
lappend results [mem_read 0xf0d50ee0]
lappend results [mem_read 0xf0d50ee4]
lappend results [mem_read 0xf0d50ee8]
lappend results [mem_read 0xf0d50eec]
lappend results [mem_read 0xf0d50ef0]
lappend results [mem_read 0xf0d50ef4]
lappend results [mem_read 0xf0d50ef8]
lappend results [mem_read 0xf0d50f00]
lappend results [mem_read 0xf0d50fa0]
lappend results [mem_read 0xf0d50fa4]
lappend results [mem_read 0xf0d50fb0]
lappend results [mem_read 0xf0d50fb4]
lappend results [mem_read 0xf0d50fb8]
lappend results [mem_read 0xf0d50fc8]
lappend results [mem_read 0xf0d50fcc]
