##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_APU1_PMU
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0d60000]
lappend results [mem_read 0xf0d60008]
lappend results [mem_read 0xf0d60010]
lappend results [mem_read 0xf0d60018]
lappend results [mem_read 0xf0d60020]
lappend results [mem_read 0xf0d60028]
lappend results [mem_read 0xf0d600f8]
lappend results [mem_read 0xf0d600fc]
lappend results [mem_read 0xf0d60400]
lappend results [mem_read 0xf0d60404]
lappend results [mem_read 0xf0d60408]
lappend results [mem_read 0xf0d6040c]
lappend results [mem_read 0xf0d60410]
lappend results [mem_read 0xf0d60414]
lappend results [mem_read 0xf0d6047c]
lappend results [mem_read 0xf0d60600]
lappend results [mem_read 0xf0d60604]
lappend results [mem_read 0xf0d60608]
lappend results [mem_read 0xf0d6060c]
lappend results [mem_read 0xf0d60610]
lappend results [mem_read 0xf0d60614]
lappend results [mem_read 0xf0d60618]
lappend results [mem_read 0xf0d6061c]
lappend results [mem_read 0xf0d60620]
lappend results [mem_read 0xf0d60624]
lappend results [mem_read 0xf0d60628]
lappend results [mem_read 0xf0d6062c]
lappend results [mem_read 0xf0d60630]
lappend results [mem_read 0xf0d60634]
lappend results [mem_read 0xf0d606f0]
lappend results [mem_read 0xf0d606f4]
lappend results [mem_read 0xf0d60c00]
lappend results [mem_read 0xf0d60c20]
lappend results [mem_read 0xf0d60c40]
lappend results [mem_read 0xf0d60c60]
lappend results [mem_read 0xf0d60c80]
lappend results [mem_read 0xf0d60ca0]
lappend results [mem_read 0xf0d60cc0]
lappend results [mem_read 0xf0d60e00]
lappend results [mem_read 0xf0d60e04]
lappend results [mem_read 0xf0d60e20]
lappend results [mem_read 0xf0d60e24]
lappend results [mem_read 0xf0d60fa8]
lappend results [mem_read 0xf0d60fac]
lappend results [mem_read 0xf0d60fb0]
lappend results [mem_read 0xf0d60fb4]
lappend results [mem_read 0xf0d60fb8]
lappend results [mem_read 0xf0d60fbc]
lappend results [mem_read 0xf0d60fcc]
lappend results [mem_read 0xf0d60fd0]
