##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_APU_ETF
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0c30004]
lappend results [mem_read 0xf0c3000c]
lappend results [mem_read 0xf0c30010]
lappend results [mem_read 0xf0c30014]
lappend results [mem_read 0xf0c30018]
lappend results [mem_read 0xf0c3001c]
lappend results [mem_read 0xf0c30020]
lappend results [mem_read 0xf0c30024]
lappend results [mem_read 0xf0c30028]
lappend results [mem_read 0xf0c3002c]
lappend results [mem_read 0xf0c30030]
lappend results [mem_read 0xf0c30034]
lappend results [mem_read 0xf0c30300]
lappend results [mem_read 0xf0c30304]
lappend results [mem_read 0xf0c30308]
lappend results [mem_read 0xf0c30ed0]
lappend results [mem_read 0xf0c30ed4]
lappend results [mem_read 0xf0c30ed8]
lappend results [mem_read 0xf0c30edc]
lappend results [mem_read 0xf0c30ee0]
lappend results [mem_read 0xf0c30ee8]
lappend results [mem_read 0xf0c30eec]
lappend results [mem_read 0xf0c30ef0]
lappend results [mem_read 0xf0c30ef4]
lappend results [mem_read 0xf0c30ef8]
lappend results [mem_read 0xf0c30f00]
lappend results [mem_read 0xf0c30fa0]
lappend results [mem_read 0xf0c30fa4]
lappend results [mem_read 0xf0c30fb0]
lappend results [mem_read 0xf0c30fb4]
lappend results [mem_read 0xf0c30fb8]
lappend results [mem_read 0xf0c30fc8]
lappend results [mem_read 0xf0c30fcc]
