##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_FPD_ROM
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0b00000]
lappend results [mem_read 0xf0b00004]
lappend results [mem_read 0xf0b00008]
lappend results [mem_read 0xf0b0000c]
lappend results [mem_read 0xf0b00010]
lappend results [mem_read 0xf0b00014]
lappend results [mem_read 0xf0b00018]
lappend results [mem_read 0xf0b0001c]
lappend results [mem_read 0xf0b00020]
lappend results [mem_read 0xf0b00024]
lappend results [mem_read 0xf0b00028]
lappend results [mem_read 0xf0b0002c]
lappend results [mem_read 0xf0b00030]
lappend results [mem_read 0xf0b00034]
lappend results [mem_read 0xf0b00038]
lappend results [mem_read 0xf0b0003c]
lappend results [mem_read 0xf0b00040]
lappend results [mem_read 0xf0b00044]
lappend results [mem_read 0xf0b00048]
lappend results [mem_read 0xf0b0004c]
lappend results [mem_read 0xf0b00050]
lappend results [mem_read 0xf0b00054]
lappend results [mem_read 0xf0b00058]
lappend results [mem_read 0xf0b0005c]
lappend results [mem_read 0xf0b00fc8]
lappend results [mem_read 0xf0b00fcc]
