##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_FPD_TPIU
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0b60000]
lappend results [mem_read 0xf0b60004]
lappend results [mem_read 0xf0b60100]
lappend results [mem_read 0xf0b60104]
lappend results [mem_read 0xf0b60108]
lappend results [mem_read 0xf0b60200]
lappend results [mem_read 0xf0b60204]
lappend results [mem_read 0xf0b60208]
lappend results [mem_read 0xf0b60300]
lappend results [mem_read 0xf0b60304]
lappend results [mem_read 0xf0b60308]
lappend results [mem_read 0xf0b60400]
lappend results [mem_read 0xf0b60404]
lappend results [mem_read 0xf0b60ee4]
lappend results [mem_read 0xf0b60ee8]
lappend results [mem_read 0xf0b60eec]
lappend results [mem_read 0xf0b60ef0]
lappend results [mem_read 0xf0b60ef4]
lappend results [mem_read 0xf0b60ef8]
lappend results [mem_read 0xf0b60f00]
lappend results [mem_read 0xf0b60fa0]
lappend results [mem_read 0xf0b60fa4]
lappend results [mem_read 0xf0b60fb0]
lappend results [mem_read 0xf0b60fb4]
lappend results [mem_read 0xf0b60fb8]
lappend results [mem_read 0xf0b60fc8]
lappend results [mem_read 0xf0b60fcc]
lappend results [mem_read 0xf0b60fe0]
lappend results [mem_read 0xf0b60fe4]
lappend results [mem_read 0xf0b60fe8]
lappend results [mem_read 0xf0b60fec]
lappend results [mem_read 0xf0b60fd0]
lappend results [mem_read 0xf0b60fd4]
lappend results [mem_read 0xf0b60fd8]
lappend results [mem_read 0xf0b60fdc]
lappend results [mem_read 0xf0b60ff0]
lappend results [mem_read 0xf0b60ff4]
lappend results [mem_read 0xf0b60ff8]
lappend results [mem_read 0xf0b60ffc]
