##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DBG_RPU1_CTI
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf0a50000]
lappend results [mem_read 0xf0a50010]
lappend results [mem_read 0xf0a50014]
lappend results [mem_read 0xf0a50018]
lappend results [mem_read 0xf0a5001c]
lappend results [mem_read 0xf0a50020]
lappend results [mem_read 0xf0a50024]
lappend results [mem_read 0xf0a50028]
lappend results [mem_read 0xf0a5002c]
lappend results [mem_read 0xf0a50030]
lappend results [mem_read 0xf0a50034]
lappend results [mem_read 0xf0a50038]
lappend results [mem_read 0xf0a5003c]
lappend results [mem_read 0xf0a500a0]
lappend results [mem_read 0xf0a500a4]
lappend results [mem_read 0xf0a500a8]
lappend results [mem_read 0xf0a500ac]
lappend results [mem_read 0xf0a500b0]
lappend results [mem_read 0xf0a500b4]
lappend results [mem_read 0xf0a500b8]
lappend results [mem_read 0xf0a500bc]
lappend results [mem_read 0xf0a50130]
lappend results [mem_read 0xf0a50134]
lappend results [mem_read 0xf0a50138]
lappend results [mem_read 0xf0a5013c]
lappend results [mem_read 0xf0a50140]
lappend results [mem_read 0xf0a50144]
lappend results [mem_read 0xf0a50edc]
lappend results [mem_read 0xf0a50ee0]
lappend results [mem_read 0xf0a50ee4]
lappend results [mem_read 0xf0a50ee8]
lappend results [mem_read 0xf0a50eec]
lappend results [mem_read 0xf0a50ef0]
lappend results [mem_read 0xf0a50ef4]
lappend results [mem_read 0xf0a50ef8]
lappend results [mem_read 0xf0a50f00]
lappend results [mem_read 0xf0a50fa0]
lappend results [mem_read 0xf0a50fa4]
lappend results [mem_read 0xf0a50fb0]
lappend results [mem_read 0xf0a50fb4]
lappend results [mem_read 0xf0a50fb8]
