##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: DPC_DMA_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xfe5f0000]
lappend results [mem_read 0xfe5f0004]
lappend results [mem_read 0xfe5f0008]
lappend results [mem_read 0xfe5f000c]
lappend results [mem_read 0xfe5f0010]
lappend results [mem_read 0xfe5f0014]
lappend results [mem_read 0xfe5f0018]
lappend results [mem_read 0xfe5f001c]
lappend results [mem_read 0xfe5f0020]
lappend results [mem_read 0xfe5f0024]
lappend results [mem_read 0xfe5f0028]
lappend results [mem_read 0xfe5f002c]
lappend results [mem_read 0xfe5f0030]
lappend results [mem_read 0xfe5f0034]
lappend results [mem_read 0xfe5f0038]
lappend results [mem_read 0xfe5f003c]
lappend results [mem_read 0xfe5f0040]
lappend results [mem_read 0xfe5f0100]
lappend results [mem_read 0xfe5f0104]
lappend results [mem_read 0xfe5f0108]
lappend results [mem_read 0xfe5f010c]
lappend results [mem_read 0xfe5f0110]
lappend results [mem_read 0xfe5f0114]
lappend results [mem_read 0xfe5f0118]
lappend results [mem_read 0xfe5f011c]
lappend results [mem_read 0xfe5f0120]
lappend results [mem_read 0xfe5f0124]
lappend results [mem_read 0xfe5f0128]
lappend results [mem_read 0xfe5f012c]
lappend results [mem_read 0xfe5f0130]
lappend results [mem_read 0xfe5f0134]
lappend results [mem_read 0xfe5f0138]
lappend results [mem_read 0xfe5f013c]
