##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: LPD_DMA_CH0
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xffa80000]
lappend results [mem_read 0xffa80100]
lappend results [mem_read 0xffa80104]
lappend results [mem_read 0xffa80108]
lappend results [mem_read 0xffa8010c]
lappend results [mem_read 0xffa80110]
lappend results [mem_read 0xffa80114]
lappend results [mem_read 0xffa80118]
lappend results [mem_read 0xffa8011c]
lappend results [mem_read 0xffa80120]
lappend results [mem_read 0xffa80124]
lappend results [mem_read 0xffa80128]
lappend results [mem_read 0xffa8012c]
lappend results [mem_read 0xffa80130]
lappend results [mem_read 0xffa80134]
lappend results [mem_read 0xffa80138]
lappend results [mem_read 0xffa8013c]
lappend results [mem_read 0xffa80140]
lappend results [mem_read 0xffa80144]
lappend results [mem_read 0xffa80148]
lappend results [mem_read 0xffa8014c]
lappend results [mem_read 0xffa80150]
lappend results [mem_read 0xffa80154]
lappend results [mem_read 0xffa80158]
lappend results [mem_read 0xffa8015c]
lappend results [mem_read 0xffa80160]
lappend results [mem_read 0xffa80164]
lappend results [mem_read 0xffa8018c]
lappend results [mem_read 0xffa80190]
lappend results [mem_read 0xffa80194]
lappend results [mem_read 0xffa80200]
