##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: LPD_DMA_CH6
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xffae0000]
lappend results [mem_read 0xffae0100]
lappend results [mem_read 0xffae0104]
lappend results [mem_read 0xffae0108]
lappend results [mem_read 0xffae010c]
lappend results [mem_read 0xffae0110]
lappend results [mem_read 0xffae0114]
lappend results [mem_read 0xffae0118]
lappend results [mem_read 0xffae011c]
lappend results [mem_read 0xffae0120]
lappend results [mem_read 0xffae0124]
lappend results [mem_read 0xffae0128]
lappend results [mem_read 0xffae012c]
lappend results [mem_read 0xffae0130]
lappend results [mem_read 0xffae0134]
lappend results [mem_read 0xffae0138]
lappend results [mem_read 0xffae013c]
lappend results [mem_read 0xffae0140]
lappend results [mem_read 0xffae0144]
lappend results [mem_read 0xffae0148]
lappend results [mem_read 0xffae014c]
lappend results [mem_read 0xffae0150]
lappend results [mem_read 0xffae0154]
lappend results [mem_read 0xffae0158]
lappend results [mem_read 0xffae015c]
lappend results [mem_read 0xffae0160]
lappend results [mem_read 0xffae0164]
lappend results [mem_read 0xffae018c]
lappend results [mem_read 0xffae0190]
lappend results [mem_read 0xffae0194]
lappend results [mem_read 0xffae0200]
