##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: OCM_CSR
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xff960000]
lappend results [mem_read 0xff960004]
lappend results [mem_read 0xff960008]
lappend results [mem_read 0xff96000c]
lappend results [mem_read 0xff960010]
lappend results [mem_read 0xff960014]
lappend results [mem_read 0xff960018]
lappend results [mem_read 0xff96001c]
lappend results [mem_read 0xff960020]
lappend results [mem_read 0xff960024]
lappend results [mem_read 0xff960028]
lappend results [mem_read 0xff96002c]
lappend results [mem_read 0xff960030]
lappend results [mem_read 0xff960034]
lappend results [mem_read 0xff960038]
lappend results [mem_read 0xff96003c]
lappend results [mem_read 0xff960040]
lappend results [mem_read 0xff960044]
lappend results [mem_read 0xff960048]
lappend results [mem_read 0xff960074]
lappend results [mem_read 0xff96004c]
lappend results [mem_read 0xff960050]
lappend results [mem_read 0xff960054]
lappend results [mem_read 0xff960058]
lappend results [mem_read 0xff96005c]
lappend results [mem_read 0xff960070]
lappend results [mem_read 0xff960080]
lappend results [mem_read 0xff960084]
lappend results [mem_read 0xff960ff8]
