##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: PSM_LOCAL
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xffc88000]
lappend results [mem_read 0xffc88004]
lappend results [mem_read 0xffc88010]
lappend results [mem_read 0xffc88014]
lappend results [mem_read 0xffc88080]
lappend results [mem_read 0xffc88084]
lappend results [mem_read 0xffc880b0]
lappend results [mem_read 0xffc880b8]
lappend results [mem_read 0xffc880bc]
lappend results [mem_read 0xffc880c0]
lappend results [mem_read 0xffc880c8]
lappend results [mem_read 0xffc880cc]
lappend results [mem_read 0xffc880d0]
lappend results [mem_read 0xffc880d8]
lappend results [mem_read 0xffc880dc]
lappend results [mem_read 0xffc880e0]
lappend results [mem_read 0xffc880e4]
lappend results [mem_read 0xffc880e8]
lappend results [mem_read 0xffc880f0]
lappend results [mem_read 0xffc88100]
lappend results [mem_read 0xffc88104]
lappend results [mem_read 0xffc88320]
lappend results [mem_read 0xffc88324]
lappend results [mem_read 0xffc88328]
lappend results [mem_read 0xffc8832c]
lappend results [mem_read 0xffc88418]
lappend results [mem_read 0xffc88600]
lappend results [mem_read 0xffc88804]
