##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: QSPI
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf103003c]
lappend results [mem_read 0xf1030800]
lappend results [mem_read 0xf1030804]
lappend results [mem_read 0xf1030808]
lappend results [mem_read 0xf103080c]
lappend results [mem_read 0xf1030814]
lappend results [mem_read 0xf1030818]
lappend results [mem_read 0xf103081c]
lappend results [mem_read 0xf1030820]
lappend results [mem_read 0xf1030824]
lappend results [mem_read 0xf1030828]
lappend results [mem_read 0xf1030100]
lappend results [mem_read 0xf1030104]
lappend results [mem_read 0xf1030108]
lappend results [mem_read 0xf103010c]
lappend results [mem_read 0xf1030110]
lappend results [mem_read 0xf1030114]
lappend results [mem_read 0xf103011c]
lappend results [mem_read 0xf1030120]
lappend results [mem_read 0xf1030128]
lappend results [mem_read 0xf103012c]
lappend results [mem_read 0xf1030130]
lappend results [mem_read 0xf1030138]
lappend results [mem_read 0xf1030140]
lappend results [mem_read 0xf1030144]
lappend results [mem_read 0xf103014c]
lappend results [mem_read 0xf1030150]
lappend results [mem_read 0xf1030154]
lappend results [mem_read 0xf1030158]
lappend results [mem_read 0xf10301f8]
