##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: SD_eMMC0
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf1040000]
lappend results [mem_read16 0xf1040002]
lappend results [mem_read 0xf1040004]
lappend results [mem_read16 0xf1040006]
lappend results [mem_read 0xf1040008]
lappend results [mem_read16 0xf104000a]
lappend results [mem_read 0xf104000c]
lappend results [mem_read16 0xf104000e]
lappend results [mem_read 0xf1040010]
lappend results [mem_read16 0xf1040012]
lappend results [mem_read 0xf1040014]
lappend results [mem_read16 0xf1040016]
lappend results [mem_read 0xf1040018]
lappend results [mem_read16 0xf104001a]
lappend results [mem_read 0xf104001c]
lappend results [mem_read16 0xf104001e]
lappend results [mem_read 0xf1040020]
lappend results [mem_read 0xf1040024]
lappend results [mem_read 0xf1040028]
lappend results [mem_read16 0xf1040029]
lappend results [mem_read16 0xf104002a]
lappend results [mem_read16 0xf104002b]
lappend results [mem_read 0xf104002c]
lappend results [mem_read16 0xf104002e]
lappend results [mem_read16 0xf104002f]
lappend results [mem_read 0xf1040030]
lappend results [mem_read16 0xf1040032]
lappend results [mem_read 0xf1040034]
lappend results [mem_read16 0xf1040036]
lappend results [mem_read 0xf1040038]
lappend results [mem_read16 0xf104003a]
lappend results [mem_read 0xf104003c]
lappend results [mem_read16 0xf104003e]
lappend results [mem_read 0xf1040040]
lappend results [mem_read 0xf1040048]
lappend results [mem_read 0xf1040050]
lappend results [mem_read16 0xf1040052]
lappend results [mem_read 0xf1040054]
lappend results [mem_read 0xf1040058]
lappend results [mem_read16 0xf104005a]
lappend results [mem_read 0xf104005c]
lappend results [mem_read16 0xf104005e]
lappend results [mem_read 0xf1040060]
lappend results [mem_read16 0xf1040062]
lappend results [mem_read 0xf1040064]
lappend results [mem_read 0xf10400fc]
lappend results [mem_read16 0xf10400fe]
lappend results [mem_read 0xf1040070]
lappend results [mem_read 0xf104f0f8]
lappend results [mem_read 0xf104f0fc]
