##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: SD_eMMC1
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xf1050000]
lappend results [mem_read16 0xf1050002]
lappend results [mem_read 0xf1050004]
lappend results [mem_read16 0xf1050006]
lappend results [mem_read 0xf1050008]
lappend results [mem_read16 0xf105000a]
lappend results [mem_read 0xf105000c]
lappend results [mem_read16 0xf105000e]
lappend results [mem_read 0xf1050010]
lappend results [mem_read16 0xf1050012]
lappend results [mem_read 0xf1050014]
lappend results [mem_read16 0xf1050016]
lappend results [mem_read 0xf1050018]
lappend results [mem_read16 0xf105001a]
lappend results [mem_read 0xf105001c]
lappend results [mem_read16 0xf105001e]
lappend results [mem_read 0xf1050020]
lappend results [mem_read 0xf1050024]
lappend results [mem_read 0xf1050028]
lappend results [mem_read16 0xf1050029]
lappend results [mem_read16 0xf105002a]
lappend results [mem_read16 0xf105002b]
lappend results [mem_read 0xf105002c]
lappend results [mem_read16 0xf105002e]
lappend results [mem_read16 0xf105002f]
lappend results [mem_read 0xf1050030]
lappend results [mem_read16 0xf1050032]
lappend results [mem_read 0xf1050034]
lappend results [mem_read16 0xf1050036]
lappend results [mem_read 0xf1050038]
lappend results [mem_read16 0xf105003a]
lappend results [mem_read 0xf105003c]
lappend results [mem_read16 0xf105003e]
lappend results [mem_read 0xf1050040]
lappend results [mem_read 0xf1050048]
lappend results [mem_read 0xf1050050]
lappend results [mem_read16 0xf1050052]
lappend results [mem_read 0xf1050054]
lappend results [mem_read 0xf1050058]
lappend results [mem_read16 0xf105005a]
lappend results [mem_read 0xf105005c]
lappend results [mem_read16 0xf105005e]
lappend results [mem_read 0xf1050060]
lappend results [mem_read16 0xf1050062]
lappend results [mem_read 0xf1050064]
lappend results [mem_read 0xf10500fc]
lappend results [mem_read16 0xf10500fe]
lappend results [mem_read 0xf1050070]
lappend results [mem_read 0xf105f0f8]
lappend results [mem_read 0xf105f0fc]
