##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
# Instance: TTC2
set results {}
proc mem_read {add} {
    if {[catch {mrd $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
proc mem_read16 {add} {
    if {[catch {mrd -size h $add} err]} {
        return "$add: $err"
    } else {
        return $err
    }
}
lappend results [mem_read 0xff100000]
lappend results [mem_read 0xff100004]
lappend results [mem_read 0xff100008]
lappend results [mem_read 0xff10000c]
lappend results [mem_read 0xff100010]
lappend results [mem_read 0xff100014]
lappend results [mem_read 0xff100018]
lappend results [mem_read 0xff10001c]
lappend results [mem_read 0xff100020]
lappend results [mem_read 0xff100024]
lappend results [mem_read 0xff100028]
lappend results [mem_read 0xff10002c]
lappend results [mem_read 0xff100030]
lappend results [mem_read 0xff100034]
lappend results [mem_read 0xff100038]
lappend results [mem_read 0xff10003c]
lappend results [mem_read 0xff100040]
lappend results [mem_read 0xff100044]
lappend results [mem_read 0xff100048]
lappend results [mem_read 0xff10004c]
lappend results [mem_read 0xff100050]
lappend results [mem_read 0xff100054]
lappend results [mem_read 0xff100058]
lappend results [mem_read 0xff10005c]
lappend results [mem_read 0xff100060]
lappend results [mem_read 0xff100064]
lappend results [mem_read 0xff100068]
lappend results [mem_read 0xff10006c]
lappend results [mem_read 0xff100070]
lappend results [mem_read 0xff100074]
lappend results [mem_read 0xff100078]
lappend results [mem_read 0xff10007c]
lappend results [mem_read 0xff100080]
